package com.dsk.cscec.domain.bo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2023.12.18
 * @time 17:43
 */
@Data
public class ProjectDetailBo {
    /**
     * 项目主键
     */
    @NotNull(message = "项目主键不能为空")
    private Long projectKey;
    /**
     * 咨询机构Cid
     */
    @NotNull(message = "咨询机构Cid不能为空")
    private Long advisoryBodyCid;
}
