package com.dsk.cscec.domain.vo;

import com.dsk.cscec.domain.AdvisoryBody;
import com.dsk.cscec.domain.AdvisoryBodyProject;
import com.dsk.cscec.domain.DProject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author sxk
 * @date 2023.12.14
 * @time 16:18
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProjectDetailVo extends DProject {
    /**
     * 咨询机构
     */
    private AdvisoryBody advisoryBody;
    /**
     * 法定代表人
     */
    private String corporatePerson;
    /**
     * 注册地址
     */
    private String regAddress;
    /**
     * 项目信息
     */
    private AdvisoryBodyProject advisoryBodyProject;
}
