package com.dsk.jsk.domain;

import lombok.Data;
import java.util.List;

/**
 * @ClassName JskCompanyRelationTableV1Dto
 * @Description
 * @Author Dgm
 * @Date 2023/12/11 20:37
 * @Version
 */
@Data
public class JskCompanyRelationTableV1Dto extends BasePage {

    /**
     * 搜-关键字素
     */
    private String keyword;
    /**
     * 企业类型
     */
    private String companyRole;

    /**
     * 项目类型
     */
    private List<String> counterpartCompanyRoles;
    /**
     * 工程类型
     */
    private List<String> projectTypes;
    /**
     * 咨询机构业务类型
     */
    private List<String> businessTypes;

    /**
     * 公布日期-开始时间
     */
    private String beginTime;
    /**
     * 公布日期-结束时间
     */
    private String endTime;

    /**
     * 本次合作合同金额(万元)-最大金额
     */
    private Double maxAmount;
    /**
     * 本次合作合同金额(万元)-最小金额
     */
    private Double minAmount;
    /**
     * 企业Id
     */
    private Integer companyId;

    /**
     * 企业类型 1：业主 2：施工 3：集团
     */
    private Integer companyType;

    /**
     * 排序 1:金额降序 2:金额升序 3: 时间降序 4: 时间升区5: 数量降序6：数量升序
     */
    private Integer sort = 5;

    /**
     * 集团Id
     */
    private String combineId;


}
