import request from '@/utils/request';

/**
 * 咨询机构合作台账 查询项目列表 以及 查询参数
 * @param {object} params 
 * @returns 
 */
export const getConsultingOrgProjectListWithSearchApi = (params) => request({
  url: "/advisory/body/getProjectList",
  method: "get",
  params
});

/**
 * 咨询机构合作台账 查询企业列表 以及 查询参数
 * @param {object} params 
 * @returns 
 */
export const getConsultingOrgEenterpriseListWithSearchApi = (params) => request({
  url: "/advisory/body/getAdvisoryBodyList",
  method: "get",
  params
});

/**
 * 咨询机构合作台账 查询企业列表 以及 查询参数
 * @param {object} params 
 * @returns 
 */
export const getConsultingOrgEenterpriseDetailWithSearchApi = (params) => request({
  url: "/advisory/body/getCooperateProjectDetailList",
  method: "get",
  params
});

/**
 * 咨询机构项目列表 项目跳转详情获取
 * @param {*} params 
 * @returns 
 */
export const getgetConsultingOrgProjectDetailApi = (params) => request({
  url: "/advisory/body/getProjectDetail",
  method: "get",
  params
});