// 默认自定义表单组件

/**
 * 模块模板
 */
export const subfieldModuleTemplate = {
  defaultSubfieldModuleName: "",
  subfieldModuleName: "",
  subfieldModuleNameRules: {
    trigger: ["blur", "change"],
    validator: (rule, value, callback) => {
      alert(1);
      if (!value) {
        return callback(new Error("请输入分栏名称"));
      }
      callback();
    }
  },
  subfieldModulePlaceholder: "请输入分栏标题",
  edit: false,
  children: []
};

export const defaultComOptions = [
  {
    // 组件类型
    comType: "el-input",
    // 组件展示图标
    comShowIcon: require("@/assets/images/consultingAgencyManagement/customForm/icon_single_line_text@2x.png"),
    // 验证通过
    checkedAllow: false,
    // 表单属性
    formAttribute: {
      // 验证规则
      rules: {},
      // 是否必填
      required: false,
      // 字段名称
      fieldName: "",
      // 展示label
      label: "单行文本",
      // 组件宽度
      width: 100
    },
    // 组件属性
    componentAttribute: {
      // 绑定的值
      value: "",
      // 输入值为空提示
      placeholder: "请输入"
    }
  }
];